/*****************************************************************************
  FILE           : cc_type.h
  SHORTNAME      : type.h
  SNNS VERSION   : 3.0

  PURPOSE        : type definitions for cascade correlation
  NOTES          :

  AUTHOR         : Michael Schmalzl
  DATE           : 24.2.93

  CHANGED BY     : 
  IDENTIFICATION : @(#)cc_type.h	1.4 3/24/93
  SCCS VERSION   : 1.4
  LAST CHANGE    : 3/24/93

             Copyright (c) 1990-1993  SNNS Group, IPVR, Univ. Stuttgart, FRG

******************************************************************************/

#ifndef _CC_TYPE_DEFINED_
#define _CC_TYPE_DEFINED_

typedef struct CC_DATA {
  struct {
    float pixelError;
    int learningFunc;
    int onOff;
  } GLOBAL;
  struct {
    double covarianceChange;
    int    candidatePatience;
    int    maxNoOfUpdateCycles;
    int    maxNoOfCandUnits;
    int    actFunc;
  } CAND;
  struct {
    double errorChange;
    int    outputPatience;
    int    maxNoOfUpdateCycles;
  } OUT;
} CASCADE_TYPE;

#endif
