/*****************************************************************************
  FILE           : kr_inversion.ph
  SHORTNAME      : 
  SNNS VERSION   : 3.0

  PURPOSE        : Header file of correspondent '.c' file
  NOTES          :

  AUTHOR         : Guenter Mamier
  DATE           : 29.02.92

  CHANGED BY     : Sven Doering
  IDENTIFICATION : @(#)kr_inversion.ph	1.4 3/24/93
  SCCS VERSION   : 1.4
  LAST CHANGE    : 3/24/93

             Copyright (c) 1990-1993  SNNS Group, IPVR, Univ. Stuttgart, FRG

******************************************************************************/
#ifndef _KR_INVERSION_DEFINED_
#define  _KR_INVERSION_DEFINED_

/* begin global definition section */


/* required functions that are declared here */

int    krui_initInversion(void);
void   krui_inv_forwardPass(void);
double krui_inv_backwardPass(float learn, float delta_max, int *err_units, float ratio);

/* end global definition section */

/* begin private definition section */


struct UnitList{
    int             no;
    FlintType       act;
    FlintType       i_act;
    FlintType       im_act;
    struct PosType  gridPos;
    struct UnitList *next;
    struct UnitList *prev;
};

extern struct UnitList *inputs, 
                       *outputs;

/* end private definition section */

#endif 






