/*****************************************************************************
  FILE           : d3_setup.ph
  SHORTNAME      : setup.ph
  SNNS VERSION   : 3.0

  PURPOSE        : header for d3_setup.c
  NOTES          : all functions will be exported

  AUTHOR         : Ralf Huebner
  DATE           : 1.12.1991

  CHANGED BY     :
  IDENTIFICATION : @(#)d3_setup.ph	1.4 3/24/93
  SCCS VERSION   : 1.4
  LAST CHANGE    : 3/24/93

             Copyright (c) 1990-1993  SNNS Group, IPVR, Univ. Stuttgart, FRG
             
******************************************************************************/


#ifndef _D3_SETUP_DEFINED_
#define _D3_SETUP_DEFINED_


/* begin global definition section */


void d3_createSetupPannel (Widget w, Widget button, caddr_t call_data);


/* end global definition section */


/* begin private definition section */


static int d3_get_float_input (Widget w, float *f);
static int d3_get_float_rad_input (Widget w, float *f);
static void d3_closeSetupPannel (Widget w, Widget pannel, caddr_t call_data);


extern int d3_numberWidth;
extern d3_state_type d3_state;

static Widget rotXinitWidget, rotYinitWidget, rotZinitWidget;
static Widget rotXstepWidget, rotYstepWidget, rotZstepWidget;
static Widget transXinitWidget, transYinitWidget, transZinitWidget;
static Widget transXstepWidget, transYstepWidget, transZstepWidget;
static Widget scaleInitWidget, scaleStepWidget, aspectWidget;
static Widget linkWidget, posTriggerWidget, negTriggerWidget;


/* end private definition section */


#endif /* _D3_SETUP_DEFINED_ */


/* end of file */
/* lines: 25 */
