/*****************************************************************************
  FILE           : ui_action.h
  SHORTNAME      : action.h
  SNNS VERSION   : 3.0

  PURPOSE        : Header file of correspondent '.c' file
  NOTES          :

  AUTHOR         : Tilman Sommer
  DATE           : 1.2.1990

  CHANGED BY     :
  IDENTIFICATION : @(#)ui_action.h	1.6 3/24/93
  SCCS VERSION   : 1.6
  LAST CHANGE    : 3/24/93

             Copyright (c) 1990-1993  SNNS Group, IPVR, Univ. Stuttgart, FRG
             
******************************************************************************/


#ifndef _UI_ACTION_DEFINED_
#define _UI_ACTION_DEFINED_




extern void  ui_action_init (void);

extern void  ui_action_unitsMovev (void);
extern void  ui_action_unitsCopy (void);

extern void  ui_action_unitInsert (int);

extern void  ui_action_linksMakeBidirectional (void);
extern void  ui_action_linksMakeReverse (void);

extern void  ui_action_linksCopy (void);
extern void  ui_action_linksCopyEnvironment (void);
extern void  ui_action_linksMakeClique (int);
extern void  ui_action_linksMakeFromSourceUnit (int);
extern void  ui_action_linksMakeToTargetUnit (int);
extern void  ui_action_linksSet (void);
extern void  ui_action_unitsDelete (void);
extern void  ui_action_setUnitAttribute (FlagType);

extern void  ui_action_sitesCopy (void);

extern void  ui_action_graphicsDirection (void);
extern void  ui_action_graphicsGrid (void);

extern void  ui_action_UnitZcoordinate (void);
extern void  ui_action_UnitZsetReference (void);

extern void  ui_action_unitsMove (void);
extern void  ui_action_sitesMake (int);
extern void  ui_action_setUnitLayers (void);
extern void  ui_action_unitSetDefaultType (void);


extern int         ui_numberOfStepsDone; /* kernel update steps */
extern int         ui_sel_numberOfSelectedItems; /* selected units */
  
extern struct UnitWidgetType       ui_targetWidgets; 
                  /* widgets of target unit in the info panel*/

extern struct LinkWidgetType       ui_linkWidgets; /* widgets of the link */
extern struct UnitAttributeType    ui_sourceUnit, ui_targetUnit;
                  /* attributes of target/source unit show in the info panel */

extern struct LinkAttributeType    ui_link;
                  /* attributes of the link shown in the info panel */

extern struct Ui_DisplayType       *ui_currentDisplay; 
                  /* last xgui display the mouse moved in last time */

extern unsigned short ui_layerStartValue, ui_layerReturnValue;
                      /* initial and return value of the layer panel */

extern int    ui_list_returnIndex;   /* index  of returned list item */

extern int    ui_kernelError; 
		/* used to store the error reported by kernel functions */

extern int    ui_key_unitNo;           /* unit at ui_key_eventPos */
extern struct PosType ui_key_eventPos; 
		/* grid-position of the last key-event AND (!) also position 
		of destination of MOVE and COPY command (mouse event) */
						   
extern struct SelectionType  *ui_sel_listPtr; /* head-pointer of the 
						selection list */

extern FlagType         ui_key_linksToHandle;    /* code, which links of a 
		unit are used within certain operations */

extern GC             ui_gc;       /* needed for ui_action_graphicGrid */
extern Display       *ui_display;  /* needed for ui_action_graphicGrid */

extern short ui_actualZvalue;
extern int d3_transOffset;
extern struct TransTable *d3_xyTransTable;






#endif /* _UI_ACTION_DEFINED_ */



/* end of file */
/* lines: 52 */

/* 115 lines generated by deleteprivatedefinitions.awk */
