/*****************************************************************************
  FILE           : ui_displwght.ph
  SHORTNAME      : ui_displweights
  SNNS VERSION   : 3.0

  PURPOSE        : Header file of correspondent '.c' file
  NOTES          :

  AUTHOR         : Guenter Mamier 
  DATE           : 14.01.92 

  CHANGED BY     : Sven Doering
  IDENTIFICATION : @(#)ui_displwght.ph	1.3 3/24/93
  SCCS VERSION   : 1.3
  LAST CHANGE    : 3/24/93

             Copyright (c) 1990-1993  SNNS Group, IPVR, Univ. Stuttgart, FRG

******************************************************************************/

#ifndef _UI_DISPLWGHT_DEFINED_
#define _UI_DISPLWGHT_DEFINED_

/* begin global definition section */
void         ui_displWeights(Widget w, caddr_t call_data);
void         ui_displWeightsFromUpdate(void);

/* end global definition section */

/* begin private definition section */

/* required functions that are declared here */
static void         ui_displWeightsBW(void);
static void         ui_displWeightsCOL(void);
static void         ui_uncreate(Widget dummy, Widget w, caddr_t call_data);
static void         ui_weightInfo(Widget w, Display *display, XEvent *event);
static void         ui_setGrid(Widget button, Widget dia_win, caddr_t call_data);
static void         ui_displScaleCOL(Widget w, caddr_t call_data);
static void         ui_displWghtEvent(Widget w, Display *display, XEvent *event);


/* lokal  variables for Xlib */
static GC                    WEIGHT_GRAPH_gc[21];        /* local grapic context   */
static Window                WEIGHT_GRAPH_win;           /* w. where func is drawn */
static int                   WEIGHT_GRAPH_screen;        /* screen for drawwindow  */
static Colormap              WEIGHT_GRAPH_col;
static XColor                WEIGHT_GRAPH_color_def[21];


/* global variables for this file */
static Widget     WEIGHT_GRAPH_displaywidget,
                  WEIGHT_GRAPH_mainwidget;
static int        WEIGHT_GRAPH_color1[10],
                  WEIGHT_GRAPH_color2[10];
static int        WEIGHT_WINDOW_created;
static int        WEIGHT_squaresize;
static int        WEIGHT_windowsize;
static int        WEIGHT_viewsize     = 400;
static int        WEIGHT_gridWidth;
static int        old_maxunits = 0;



/* end private definition section */

#endif



