/*****************************************************************************
  FILE           : ui_edit.ph
  SHORTNAME      : edit.ph
  SNNS VERSION   : 3.0

  PURPOSE        : callbacks for editing sites and f-types
  NOTES          :

  AUTHOR         : Tilman Sommer
  DATE           : 25.9.1990

  CHANGED BY     :
  IDENTIFICATION : @(#)ui_edit.ph	1.4 3/24/93
  SCCS VERSION   : 1.4
  LAST CHANGE    : 3/24/93

             Copyright (c) 1990-1993  SNNS Group, IPVR, Univ. Stuttgart, FRG
             
******************************************************************************/


#ifndef _UI_EDIT_DEFINED_
#define _UI_EDIT_DEFINED_


/* begin global definition section */


void  ui_edit_selectFunction (Widget, int, caddr_t);
void  ui_edit_setSite (Widget, struct SimpleListType *, caddr_t);
void  ui_edit_listSetSite (Widget, int, XawListReturnStruct *);
void  ui_edit_setCurrentSite (char *);
void  ui_edit_newSite (Widget, struct SimpleListType *, caddr_t);
void  ui_edit_deleteSite (Widget, struct SimpleListType *, caddr_t);

void  ui_edit_displayFirstFType (struct SimpleListType *);

void  ui_edit_ftypeAddSite (Widget, struct SimpleListType *, caddr_t);
void  ui_edit_ftypeDeleteSite (Widget, struct SimpleListType *, caddr_t);
void  ui_edit_chooseFType (Widget, struct SimpleListType *, caddr_t);
void  ui_edit_setFType (Widget, struct SimpleListType *, caddr_t);
void  ui_edit_newFType (Widget, struct SimpleListType *, caddr_t);
void  ui_edit_deleteFType (Widget, struct SimpleListType *, caddr_t);


	/* widgets in the edit panels */
Widget ui_edit_siteFuncNameWidget, ui_edit_siteNameWidget;
Widget ui_edit_actFuncNameWidget, ui_edit_outFuncNameWidget;
Widget ui_edit_ftypeNameWidget;

	/* list return values */
char   ui_list_returnName[MAX_NAME_LENGTH];
int    ui_list_returnIndex;

int    ui_kernelError; /* last reported kernel error */

	/* the following values are available after */
	/* the call of ui_list_buildList */
int   ui_list_noOfFtypes;     /* no of ftypes reported by the kernel */
int   ui_list_noOfSites;      /* no of sites reported by the kernel */
int   ui_list_noOfFTypeSites; /* no of sites at this ftype */

	/* names */
char    ui_edit_siteName[MAX_NAME_LENGTH];
char    ui_edit_siteFuncName[MAX_NAME_LENGTH];


/* end global definition section */


/* begin private definition section */


static void  ui_edit_displayFType(char *, struct SimpleListType *);


	/*  names */
static char    ui_edit_actFuncName[MAX_NAME_LENGTH];
static char    ui_edit_ftypeName[MAX_NAME_LENGTH];
static char    ui_edit_outFuncName[MAX_NAME_LENGTH];


/* end private definition section */


#endif /* _UI_EDIT_DEFINED_ */


/* end of file */
/* lines: 40 */
