/*****************************************************************************
  FILE           : ui_event.ph
  SHORTNAME      : event.ph
  SNNS VERSION   : 3.0

  PURPOSE        : Header file of correspondent '.c' file
  NOTES          :

  AUTHOR         : Tilman Sommer
  DATE           : 5.6.1990

  CHANGED BY     :
  IDENTIFICATION : @(#)ui_event.ph	1.4 3/24/93
  SCCS VERSION   : 1.4
  LAST CHANGE    : 3/24/93

             Copyright (c) 1990-1993  SNNS Group, IPVR, Univ. Stuttgart, FRG
             
******************************************************************************/


#ifndef _UI_EVENT_DEFINED_
#define _UI_EVENT_DEFINED_


/* begin global definition section */


void ui_mw_eventProc (Widget, struct Ui_DisplayType *, XEvent *);
void ui_can_MapEventProc (Widget,  struct Ui_DisplayType *, XEvent *);


StateType       ui_key_currentState;     /* current state of automat */
StateType       ui_key_returnUnitState;  /* return state of commands
                                                   starting with "Units" */
struct PosType  ui_key_eventPos;     /* position of current key event */
Bool            ui_outlineActive;    /* TRUE: outline of all selected
                                              units is visible */
FlagType        ui_key_action;       /* which action: MOVE or COPY */

Bool     ui_infoIsCreated;           /* info panel was created */
struct Ui_DisplayType *ui_currentDisplay;

GC       ui_gc;        /* xgui graphic context */
Display  *ui_display;  /* X display, not a XGUI display !! */

struct UnitAttributeType    ui_sourceUnit, ui_targetUnit;
                              /* attributes of source/target unit shown in the
                                 info panel */

unsigned long ui_col_mainCells[10][3];
Bool          ui_col_colorDisplay;
struct PosType  ui_pixPosMouse, ui_gridPosMouse; /* current mouse position */


/* end global definition section */


/* begin private definition section */


static int             ui_link_sourceUnitNo;            /* unitNo on position, where
                                                    middle button was
                                                    depressed */
static struct PosType  ui_pixPosOld, ui_gridPosOld;     /* last mouse position */
static Bool            ui_unselectFlg;                  /* SHIFT was pressed */
static Bool            ui_pixBoxDrawnFlg;               /* rubber box is visible */
static Bool            ui_leftButton, ui_middleButton;  /* ... button was depressed */
static struct PosType  ui_selPixPos1, ui_selGridPos1;   /* position, where the left
                                                    button was depressed */
static struct PosType  ui_selGridPos2;                  /* position, where the left
                                                    button was released */
static struct PosType  ui_selPixPosBox;                 /* position of the first
                                                    corner of the rubber box */



/* end private definition section */


#endif /* _UI_EVENT_DEFINED_ */



/* end of file */
/* lines: 27 */
