/*****************************************************************************
  FILE           : ui_file.ph
  SHORTNAME      : file.ph
  SNNS VERSION   : 3.0

  PURPOSE        : Header file of correspondent '.c' file
  NOTES          :

  AUTHOR         : Tilman Sommer
  DATE           : 22.5.1990

  CHANGED BY     :
  IDENTIFICATION : @(#)ui_file.ph	1.4 3/24/93
  SCCS VERSION   : 1.4
  LAST CHANGE    : 3/24/93

             Copyright (c) 1990-1993  SNNS Group, IPVR, Univ. Stuttgart, FRG
             
******************************************************************************/


#ifndef _UI_FILE_DEFINED_
#define _UI_FILE_DEFINED_


/* begin global definition section */


void ui_xCreateFilePanel (Widget);


Display      *ui_display;
Widget    ui_filePanel;

	/* widgets of all input fields */
Widget    ui_fileNET, ui_filePAT, ui_fileCFG, ui_fileTXT;

Bool      ui_fileIsCreated = FALSE; /* file panel created yes or no */


/* end global definition section */


/* begin private definition section */


#define SELECTED_NAME_LENGTH   1024
#define MAX_DIR_ENTRIES        1024
#define DIR_BUFFER_LENGTH      4096


static void ui_changeDirectory (char []);
static void ui_checkPath (char *);
static void ui_expandPath (char *);
static void ui_loadSelectedFile (Widget, Widget, caddr_t);
static void ui_readDirectory (void);
static void ui_saveSelectedFile (Widget, Widget, caddr_t);
static void ui_selectionEventProc (Widget, Display *, XEvent *);
static void ui_setExtString (Widget, int, caddr_t);
static void ui_strSort (int, int);


static int currentFileType = UI_FILE_NET;
static char extMask[10];
static char dirEntries[DIR_BUFFER_LENGTH];
static char sortedDirEntries[DIR_BUFFER_LENGTH];
static char *dirPtr[MAX_DIR_ENTRIES];
static int maxEntries;
static struct stat *stat_buf;

static    Widget fileBox, selectorBox;
static Widget netToggle, patToggle, resToggle, cfgToggle, txtToggle;


/* end private definition section */


#endif /* _UI_FILE_DEFINED_ */



/* end of file */
/* lines: 35 */
