/*****************************************************************************
  FILE           : ui_fileP.h
  SHORTNAME      : fileP.ph
  SNNS VERSION   : 3.0

  PURPOSE        : Header file of correspondent '.c' file
  NOTES          :

  AUTHOR         : Tilman Sommer
  DATE           : 22.5.1990

  CHANGED BY     :
  IDENTIFICATION : @(#)ui_fileP.h	1.6 3/24/93
  SCCS VERSION   : 1.6
  LAST CHANGE    : 3/24/93

             Copyright (c) 1990-1993  SNNS Group, IPVR, Univ. Stuttgart, FRG
             
******************************************************************************/


#ifndef _UI_FILEP_DEFINED_
#define _UI_FILEP_DEFINED_



extern void ui_file_saveText (Widget, XtPointer, caddr_t);
extern void ui_file_loadText (Widget, XtPointer, caddr_t);
extern void ui_file_saveConfiguration (Widget, XtPointer, caddr_t);
extern void ui_file_loadConfiguration (Widget, XtPointer, caddr_t);
extern void ui_file_loadDefaultConfiguration (char []);
extern void ui_file_savePatterns (Widget, XtPointer, caddr_t);
extern void ui_file_loadPatterns (Widget, XtPointer, caddr_t);
extern void ui_file_saveNet (Widget, XtPointer, caddr_t);
extern void ui_file_loadNet (Widget, XtPointer, caddr_t);
extern void ui_file_saveResult (Widget, XtPointer, caddr_t);
extern void ui_file_loadResult (Widget, XtPointer, caddr_t);
extern char *ui_getExtension (FlagType);
extern Bool ui_fileExist (char [], FlagType);
extern void ui_file_updateShellLabels (void);


extern struct Ui_DisplayType  *ui_currentDisplay;

	/* widgets of all input fields in the file panel */
extern Widget ui_fileTXT, ui_filePAT, ui_fileCFG, ui_fileNET, ui_path;
extern Widget ui_toplevel, ui_popRemote; /* toplevel and shell widget of
                                            the remote panel */
extern Display *ui_display; /* X display */

	/* panels created yes or no */
extern Bool   ui_remoteIsCreated, ui_infoIsCreated, ui_fileIsCreated;

extern struct PosType ui_gridPosMouse; /* current mouse position */

extern int    ui_kernelError; /* last error reported by the kernel */

extern int    ui_noOfCurrentPattern;  /* number of current pattern
                                         0 means, no patterns loaded */

	/* strings storing the data of all input fields in the file panel */
extern char   ui_pathname[];


extern char   ui_filenameNET[];
extern char   ui_filenamePAT[];
extern char   ui_filenameRES[];
extern char   ui_filenameCFG[];
extern char   ui_filenameTXT[];
extern char   ui_filenameSLNET[]; /* save or loaded file */

extern FILE   *ui_textFilePtr;     /* file ptr of log file */

extern Bool ui_loadCorrespondingCfg;






#endif /* _UI_FILEP_DEFINED_ */



/* end of file */
/* lines: 34 */

/* 88 lines generated by deleteprivatedefinitions.awk */
