/*****************************************************************************
  FILE           : ui_fileP.ph
  SHORTNAME      : fileP.ph
  SNNS VERSION   : 3.0

  PURPOSE        : Header file of correspondent '.c' file
  NOTES          :

  AUTHOR         : Tilman Sommer
  DATE           : 22.5.1990

  CHANGED BY     :
  IDENTIFICATION : @(#)ui_fileP.ph	1.4 3/24/93
  SCCS VERSION   : 1.4
  LAST CHANGE    : 3/24/93

             Copyright (c) 1990-1993  SNNS Group, IPVR, Univ. Stuttgart, FRG
             
******************************************************************************/


#ifndef _UI_FILEP_DEFINED_
#define _UI_FILEP_DEFINED_


/* begin global definition section */

void ui_file_saveText (Widget, XtPointer, caddr_t);
void ui_file_loadText (Widget, XtPointer, caddr_t);
void ui_file_saveConfiguration (Widget, XtPointer, caddr_t);
void ui_file_loadConfiguration (Widget, XtPointer, caddr_t);
void ui_file_loadDefaultConfiguration (char []);
void ui_file_savePatterns (Widget, XtPointer, caddr_t);
void ui_file_loadPatterns (Widget, XtPointer, caddr_t);
void ui_file_saveNet (Widget, XtPointer, caddr_t);
void ui_file_loadNet (Widget, XtPointer, caddr_t);
void ui_file_saveResult (Widget, XtPointer, caddr_t);
void ui_file_loadResult (Widget, XtPointer, caddr_t);
char *ui_getExtension (FlagType);
Bool ui_fileExist (char [], FlagType);
void ui_file_updateShellLabels (void);


struct Ui_DisplayType  *ui_currentDisplay;

	/* widgets of all input fields in the file panel */
Widget ui_fileTXT, ui_filePAT, ui_fileCFG, ui_fileNET, ui_path;
Widget ui_toplevel, ui_popRemote; /* toplevel and shell widget of
                                            the remote panel */
Display *ui_display; /* X display */

	/* panels created yes or no */
Bool   ui_remoteIsCreated, ui_infoIsCreated, ui_fileIsCreated;

struct PosType ui_gridPosMouse; /* current mouse position */

int    ui_kernelError; /* last error reported by the kernel */

int    ui_noOfCurrentPattern;  /* number of current pattern
                                         0 means, no patterns loaded */

	/* strings storing the data of all input fields in the file panel */
char   ui_pathname[MAX_NAME_LENGTH];


char   ui_filenameNET[MAX_NAME_LENGTH] = "\0";
char   ui_filenamePAT[MAX_NAME_LENGTH] = "\0";
char   ui_filenameRES[MAX_NAME_LENGTH] = "\0";
char   ui_filenameCFG[MAX_NAME_LENGTH] = "\0";
char   ui_filenameTXT[MAX_NAME_LENGTH] = "\0";
char   ui_filenameSLNET[MAX_NAME_LENGTH]; /* save or loaded file */

FILE   *ui_textFilePtr = NULL;     /* file ptr of log file */

Bool ui_loadCorrespondingCfg = TRUE;


/* end global definition section */


/* begin private definition section */


static void ui_file_doLoadConfiguration (char *);


static char   ui_filenameSLPAT[MAX_NAME_LENGTH]; /* save or loaded file */


/* end private definition section */


#endif /* _UI_FILEP_DEFINED_ */



/* end of file */
/* lines: 34 */
