/*****************************************************************************
  FILE           : ui_lists.ph
  SHORTNAME      : lists.ph
  SNNS VERSION   : 3.0

  PURPOSE        : Header file of correspondent '.c' file
  NOTES          :

  AUTHOR         : Tilman Sommer
  DATE           : 28.8.1990

  CHANGED BY     :
  IDENTIFICATION : @(#)ui_lists.ph	1.5 3/24/93
  SCCS VERSION   : 1.5
  LAST CHANGE    : 3/24/93

             Copyright (c) 1990-1993  SNNS Group, IPVR, Univ. Stuttgart, FRG
             
******************************************************************************/


#ifndef _UI_LISTS_DEFINED_
#define _UI_LISTS_DEFINED_


/* begin global definition section */


void ui_list_buildList (struct SimpleListType *);
void ui_list_setUnitValue (Widget, struct SimpleListType *, 
	XawListReturnStruct *);


char  *ui_list_iotypes[] = {
    "unknown",
    "input",
    "output",
    "hidden",
    "dual",
    "special"
    };

	/* number of list items */
int   ui_list_noOfSites      = 0;
int   ui_list_noOfFTypeSites = 0;

	/* return values of the list panel */
char   ui_list_returnName[MAX_NAME_LENGTH];
int    ui_list_returnIndex = XAW_LIST_NONE;

	/* attributes/widgets of source/target unit in the info panel */
struct UnitAttributeType  ui_sourceUnit, ui_targetUnit;
struct UnitWidgetType     ui_targetWidgets, ui_sourceWidgets;

	/* message widget in the remote panel */
/* Widget   ui_remoteMessageWidget;*/



/* end global definition section */


/* begin private definition section */


static char *ui_list_getFirstItem (int type);
static char *ui_list_getNextItem (int type);


	/* used to store the last funtion number reported by the kernel
	UI_LIST_ACT_FUNC, UI_LIST_OUT_FUNC, UI_LIST_SITE_FUNC, 
	UI_LIST_LEARN_FUNC, UI_LIST_UPDATE_FUNC, UI_LIST_INIT_FUNC */
static int   ui_list_currentFuncNo[10] = { 0,0,0,0,0,0,0,0,0,0 };

	/* number of list items */
static int   ui_list_currentIOType = 0;
static int   ui_list_noOfFtypes     = 0;
static int   ui_list_noOfFunctions  = 0;

/* end private definition section */


#endif /* _UI_LISTS_DEFINED_ */


/* end of file */
/* lines: 28 */
