/*****************************************************************************
  FILE           : ui_main.ph
  SHORTNAME      : main.ph
  SNNS VERSION   : 3.0

  PURPOSE        : Header file of correspondent '.c' file
  NOTES          :

  AUTHOR         : Tilman Sommer
  DATE           : 1.4.1990

  CHANGED BY     :
  IDENTIFICATION : @(#)ui_main.ph	1.8 3/24/93
  SCCS VERSION   : 1.8
  LAST CHANGE    : 3/24/93

             Copyright (c) 1990-1993  SNNS Group, IPVR, Univ. Stuttgart, FRG
             
******************************************************************************/


#ifndef _UI_MAIN_DEFINED_
#define _UI_MAIN_DEFINED_


/* begin global definition section */


void main (int, char **);


#ifndef MAXPATHLEN
#define MAXPATHLEN  512
#endif

	/* path name (see file panel). Initial value by getwd() */
char         ui_pathname[MAXPATHLEN] = "\0";

char ui_filenameNET[MAX_NAME_LENGTH];

	/* shell widgets of info and remote panel */
Widget                    ui_infoPanel, ui_remotePanel;
Bool                      ui_infoIsCreated; /* yes or no ? */

XtAppContext ui_appContext;
Display      *ui_display; /* X display */
Widget       ui_toplevel;
Widget       ui_message; /* label widget */
	/* label widgets of status info */
Widget       ui_stat_posWidget, ui_stat_selNoWidget, ui_stat_flagsWidget;


/* end global definition section */


/* begin private definition section */


static void ui_init (void);
static void ui_xCreatePanel (void);
static void ui_showBanner (Widget);
static void ui_clickEventProc (Widget, Display *, XEvent *);


static String fallback_resources[] = {
    "*help.label: HELP",
    "*display.label: DISPLAY",
    "*view3d.label: VIEW3d",
    "*text.label: TEXT",
    "*remote.label: REMOTE",
    "*file.label: FILE",
    "*quit.label: QUIT",
    "*sPanel*trigger.orientation:   horizontal",
    "*allowShellResize: True",
    "*dummyMsg.label: Still not implemented!",
    "*manMsg.label: SNNS 3.0 (c) 1990-93 SNNS-Group at IPVR, University of Stuttgart",
    NULL,
};
static Widget       ui_infoBox; /* frame widget (form) of info item */


/* end private definition section */


#endif /* _UI_MAIN_DEFINED_ */


/* end of file */
/* lines: 41 */
