/*****************************************************************************
  FILE           : ui_mainP.h
  SHORTNAME      : mainP.h
  SNNS VERSION   : 3.0

  PURPOSE        : Header file of correspondent '.c' file
  NOTES          :

  AUTHOR         : Tilman Sommer
  DATE           : 1.4.1990

  CHANGED BY     :
  IDENTIFICATION : @(#)ui_mainP.h	1.6 3/24/93
  SCCS VERSION   : 1.6
  LAST CHANGE    : 3/24/93

             Copyright (c) 1990-1993  SNNS Group, IPVR, Univ. Stuttgart, FRG
             
******************************************************************************/


#ifndef _UI_MAINP_DEFINED_
#define _UI_MAINP_DEFINED_



extern void ui_xCreateGC (Window);
extern void ui_printMessage (char *);
extern void ui_displayDone (Widget, struct Ui_DisplayType *, caddr_t);
extern void ui_popupDone (Widget, int, caddr_t);
extern void ui_rem_initNet (Widget, int, caddr_t);
extern void ui_popupWeights (Widget, int, caddr_t);
extern void ui_editPopup (Widget, struct SimpleListType *, caddr_t);
extern void ui_editSitePopup (Widget, struct SimpleListType *, caddr_t);
extern void ui_listPopup (struct SimpleListType *, Position, Position);
extern void ui_displayFilePanel (Widget, Widget, caddr_t);
extern void ui_displayLayerPanel (Position, Position);
extern void ui_displayGraphic (Widget, struct Ui_DisplayType *, caddr_t);
extern void ui_displayRemote (Widget, caddr_t, caddr_t);
extern void ui_displayText (Widget, caddr_t, caddr_t);
extern void ui_displayHelp (char *);
extern void ui_guiQuit (Widget, XtPointer, XtPointer);
extern void ui_loadFileFromCommandLine (void);
extern void ui_parseCmdLine (XtAppContext, int, char *[]);


	/* Handles of popup shells. Used by ui_popupDone() */
extern Widget ui_popRemote, ui_popResult;

	/* message widget in the remote panel */
extern Widget ui_remoteMessageWidget;

	/* widgets of edit panels */
extern Widget  ui_edit_ftypeNameWidget;
extern Widget  ui_edit_actFuncNameWidget, ui_edit_outFuncNameWidget;
extern Widget  ui_edit_siteNameWidget, ui_edit_siteFuncNameWidget;

	/* widgets of init net */
extern Widget  ui_initParameterWidgets[];

	/* widgets of jog/random weights panel */
extern Widget  ui_highLimitWidget, ui_lowLimitWidget;

	/* widget of message displayed when the 
	bubble of a slider in the setup panel was moved */

extern GC             ui_gc;         /* xgui graphic context */
extern XFontStruct   *ui_fontStruct; 
extern int            ui_screen;     /* X screen */



	/* display for with the setup panel was displayed */
extern struct Ui_DisplayType  *ui_set_displayPtr; /* for xgui */

extern Display       *ui_display;    /* for X */
extern XtAppContext  ui_appContext;  /* X apllication context */

extern Widget  ui_toplevel;
extern Widget  ui_message;  /* message in the manager panel */
	/* widgets in the file panel */
extern Widget  ui_filePAT, ui_fileNET, ui_fileCFG, ui_fileTXT;
	/* shell widgets of info, remote, setup and file panel */
extern Widget  ui_infoPanel, ui_remotePanel, ui_filePanel, ui_setupPanel;
	/* widgets in the setup panel */
extern Widget  ui_set_gridWidthWidget, ui_set_originXWidget;
extern Widget  ui_set_originYWidget;
extern Widget  ui_set_subnetWidget;
extern Widget  ui_set_zWidget;

	/* panel created yes or no */
extern Bool    ui_infoIsCreated, ui_remoteIsCreated;
extern Bool    ui_setupIsCreated, ui_fileIsCreated;
extern Bool    ui_ResultIsCreated;

	/* data displayed in the file panel */
extern char    ui_edit_siteName[];
extern char    ui_edit_siteFuncName[];
extern char    ui_edit_actFuncName[];
extern char    ui_edit_outFuncName[];
extern char    ui_edit_FTypeName[];

	/* index of list returned by a list panel */
extern int     ui_list_returnIndex;

extern struct UnitAttributeType    ui_sourceUnit, ui_targetUnit;

	/* current Z value */
extern short ui_actualZvalue;

	/* for temp files */
extern char *ui_tmpDir, *ui_praefix;

	/* flag, indicates to load cnf by command line */
extern Bool ui_loadCorrespondingCfg;

	/* run xgui in monchrome mode on color displays */
extern Bool ui_monoOnColorScreen;
extern XGCValues      ui_gcValues;   /* initial gc values */
extern Widget  ui_setupSliderMessage;



#endif /* _UI_MAINP_DEFINED_ */


/* end of file */
/* lines: 48 */

/* 153 lines generated by deleteprivatedefinitions.awk */
